package com.bcxin.tenant.open.infrastructures.constants;

import com.bcxin.tenant.open.infrastructures.utils.StringUtil;

public class BusinessConstants {

    public static final String DefaultEmptyValue = "#1";
    public static final Double INVALID_LON_LAT = 1.1;

    public static final String EventProjectIdStuffId="--__zNNa8cuUuYsO64cQ2u2";

    public static final String OtherProjectIdStuffId="--__rcbQYurg9ePWED6d4ZV";

    public static boolean isRelativeProjectIdStuffId(String id) {
        return id.endsWith(EventProjectIdStuffId) || id.endsWith(OtherProjectIdStuffId);
    }

    public static boolean isEmptyValue(String value)
    {
        return DefaultEmptyValue.equalsIgnoreCase(value) || StringUtil.isEmpty(value);
    }
}
