package com.bcxin.tenant.open.infrastructures.enums;

public enum DispatchDataScopeType {
    Supervised {
        @Override
        public String getTypeName() {
            return "监管";
        }

        @Override
        public int getValue() {
            return 0;
        }
    },

    Proprietor {
        @Override
        public String getTypeName() {
            return "内保单位";
        }

        @Override
        public int getValue() {
            return 1;
        }
    },
    Company {
        @Override
        public String getTypeName() {
            return "集团公司";
        }

        @Override
        public int getValue() {
            return 2;
        }
    },
    EventOrganizer {
        @Override
        public String getTypeName() {
            return "大型活动承办单位";
        }

        @Override
        public int getValue() {
            return 3;
        }
    },
    EventOrganizerManager {
        @Override
        public String getTypeName() {
            return "大型活动承办单位-管理人员";
        }

        @Override
        public int getValue() {
            return 4;
        }
    },
    EventOrganizerLimitedResource {
        @Override
        public String getTypeName() {
            return "大型活动-管理单位限制的岗点信息";
        }

        @Override
        public int getValue() {
            return 5;
        }
    };

    public abstract String getTypeName();

    public abstract int getValue();
}
