package com.bcxin.tenant.open.infrastructures.enums;

public enum DispatchDataType {
    Employee,
    Company,
    Station,
    User,
    StationPerson,
    ExamRoom,
    ExamSite,
    SystemExamInfo,
    RefreshCompanyPoints,
    RefreshCompanyDesks,
    CommunityUser,
    SuperviseDeparts,
    /**
     * 内保单位相关的驻勤点
     */
    ProprietorStations,

    /**
     * 内保单位的信息发生变更的时候
     */
    ProprietorCompanyChanged,

    /**
     * 集团公司信息变化
     */
    CompanyPermissions,

    /**
     * 临时保护项目的信息变化
     */
    TemporaryProtectionProject,
    /**
     * 临保项目组
     */
    TemporaryProtectionProjectGroup,
    /**
     * 临保项目人员
     */
    TemporaryProtectionProjectMember,
    Device,
    /**
     * 刷新同步来自驻勤的硬件信息
     */
    HareWareDevice,

    TemporaryProtectionProjectPersonType,

    EventOrganizerJoinProject,
    EventOrganizerStationManager,
    /**
     * 限制临保（赛演）单位管理的权限
     */

    EventOrganizerLimitedResource,

    DispatchDataSource,

    Member,

    Workstation,
    WorkStationUsers,
    WorkStationUsersBySecurityStation
}
